# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/sys-block/lsiutil/lsiutil-1.60-r1.ebuild,v 1.2 2009/09/02 02:09:22 robbat2 Exp $

inherit toolchain-funcs

DESCRIPTION="LSI Logic Fusion MPT Command Line Interface management tool"
HOMEPAGE="http://www.lsi.com/"
SRC_URI="http://www.lsi.com/DistributionSystem/AssetDocument/support/downloads/hbas/fibre_channel/hardware_drivers/LSIUtil%20Kit_${PV}.zip"

LICENSE="LSI"
SLOT="0"
# This package can never enter stable, it can't be mirrored and upstream
# can remove the distfiles from their mirror anytime.
KEYWORDS="~amd64 ~x86"
IUSE=""

RESTRICT="strip mirror test bindist"

RDEPEND=""
DEPEND="app-arch/unzip
		>=sys-kernel/linux-headers-2.6.27-r2"


src_unpack() {
	unpack ${A}
}

src_install() {
	dodoc "${WORKDIR}"/*.txt
	insinto /usr/sbin
	if [ "${ARCH}" == "amd64" ]; then
	  newsbin "${WORKDIR}"/Linux/lsiutil.x86_64 lsiutil
	elif [ "${ARCH}" == "x86" ]; then
	  newsbin "${WORKDIR}"/Linux/lsiutil lsiutil
	else
	  eerror "Usupported ARCH "${ARCH}
	fi
}

pkg_postinst() {
	einfo "See LsiUtil_ReadMe.txt for a list of supported controllers"
	einfo "and general usage information."
}
